## GstGLDisplayX11

GstGLDisplayX11

## Functions

GstGLDisplayX11 * | gst_gl_display_x11_new ()
GstGLDisplayX11 * | gst_gl_display_x11_new_with_display ()

## Types and Values

struct | GstGLDisplayX11

## Includes

    #include <gst/gl/x11/gstgldisplay_x11.h>

## Description

## Functions

### gst_gl_display_x11_new ()

    GstGLDisplayX11 *
    gst_gl_display_x11_new (const gchar *name);

Create a new GstGLDisplayX11 from the x11 display name. See `XOpenDisplay()` for details on what is a valid name.

#### Parameters

name | a display name. | [allow-none]

#### Returns

a new GstGLDisplayX11 or `NULL`.

[transfer full]

### gst_gl_display_x11_new_with_display ()

    GstGLDisplayX11 *
    gst_gl_display_x11_new_with_display (Display *display);

Creates a new display connection from a X11 Display.

#### Parameters

display | an existing, x11 display |

#### Returns

a new GstGLDisplayX11.

[transfer full]

## Types and Values

### struct GstGLDisplayX11

    struct GstGLDisplayX11 {
    };

the contents of a GstGLDisplayX11 are private and should only be accessed through the provided API